## silx 0.11.0+dfsg

=== requirements.txt ===
# List all dependencies of silx
# Requires pip >= 8.0

--trusted-host www.silx.org
--find-links http://www.silx.org/pub/wheelhouse/
--only-binary numpy,h5py,scipy,PyQt4,PyQt5

# Required dependencies (from setup.py install_requires)
numpy >= 1.12
setuptools
h5py
fabio >= 0.7
six
enum34; python_version == '2.7'
futures; python_version == '2.7'

# Extra dependencies (from setup.py extra_requires 'full' target)
pyopencl; platform_machine in "i386, x86_64, AMD64"  # For silx.opencl
Mako                      # For pyopencl reduction
qtconsole                 # For silx.gui.console
matplotlib >= 1.2.0       # For silx.gui.plot
PyOpenGL                  # For silx.gui.plot3d
python-dateutil           # For silx.gui.plot
scipy                     # For silx.math.fit demo, silx.image.sift demo, silx.image.sift.test
Pillow                    # For silx.opencl.image.test

# PyQt5, PySide2 or PyQt4 # For silx.gui
# Try to install a Qt binding from a wheel
# This is no available for all configurations

# Require PyQt when wheel is available
PyQt5; python_version >= '3.5'
PyQt4; sys_platform == 'win32' and python_version == '2.7'  # From silx.org
PyQt4; sys_platform == 'darwin' and python_version == '2.7'  # From silx.org

=== debian/changelog ===
silx (0.11.0+dfsg-2) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * remove Python2 modules (Closes: #938481).
  * Switched to compat level 12
    - d/rules: Used --doc-main-package python3-silx.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Oct 2019 13:19:44 +0200

silx (0.11.0+dfsg-1) unstable; urgency=medium

  [ Alexandre Marie ]
  * Added test on openCL's use
  * New upstream version 0.11.0+dfsg
  * d/patches
    - 0004-fix-missing-import.patches (Removed)
    - 0005-fix-problem-with-sift-import (Removed)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 09 Jul 2019 15:26:55 +0200

silx (0.10.1+dfsg-1~exp2) experimental; urgency=medium

  * d/patchs
    + 0005-fix-problem-with-sift-import.patch (Added)

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Tue, 28 May 2019 11:17:46 +0200

silx (0.10.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 0.10.1+dfsg
  * d/patches
    + 0004-fix-missing-import.patch (Added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 28 May 2019 08:20:44 +0200

=== debian/control ===
Source: silx
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
           Picca Frédéric-Emmanuel <picca@debian.org>,
           Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>
Section: science
Priority: optional
Build-Depends: cython3 (>= 0.23.2),
               cython3-dbg (>= 0.23.2),
               debhelper-compat (= 12),
               dh-python,
               help2man,
               ipython3,
               ipython3-qtconsole,
               pandoc <!nodoc>,
               python3-all-dbg,
               python3-all-dev,
               python3-fabio,
               python3-fabio-dbg,
               python3-h5py,
               python3-h5py-dbg,
               python3-mako,
               python3-matplotlib,
               python3-matplotlib-dbg,
               python3-nbsphinx <!nodoc>,
               python3-numpy,
               python3-numpy-dbg,
               python3-opengl,
               python3-pil,
               python3-pil-dbg,
               python3-pyopencl,
               python3-pyopencl-dbg,
               python3-pyqt5-dbg,
               python3-pyqt5.qtopengl,
               python3-pyqt5.qtopengl-dbg,
               python3-pyqt5.qtsvg,
               python3-pyqt5.qtsvg-dbg,
               python3-scipy,
               python3-scipy-dbg,
               python3-setuptools,
               python3-sphinx,
               python3-sphinxcontrib.programoutput,
               xauth,
               xvfb
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/silx
Vcs-Git: https://salsa.debian.org/science-team/silx.git
Homepage: https://github.com/silx-kit/silx

Package: silx
Architecture: all
Depends: python3-silx (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Toolbox for X-Ray data analysis - Executables
 The silx project aims at providing a collection of Python packages to
 support the development of data assessment, reduction and analysis
 applications at synchrotron radiation facilities. It aims at
 providing reading/writing different file formats, data reduction
 routines and a set of Qt widgets to browse and visualize data.
 .
 The current version provides :
 .
  * reading HDF5 file format (with support of SPEC file format)
  * histogramming
  * fitting
  * 1D and 2D visualization using multiple backends (matplotlib or OpenGL)
  * image plot widget with a set of associated tools (See changelog file).
  * Unified browser for HDF5, SPEC and image file formats supporting inspection
    and visualization of n-dimensional datasets.
  * Unified viewer (silx view filename) for HDF5, SPEC and image file formats
  * OpenGL-based widget to display 3D scalar field with
    isosurface and cutting plane.
 .
 This uses the Python 3 version of the package.

Package: python3-silx
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Toolbox for X-Ray data analysis - Python3
 The silx project aims at providing a collection of Python packages to
 support the development of data assessment, reduction and analysis
 applications at synchrotron radiation facilities. It aims at
 providing reading/writing different file formats, data reduction
 routines and a set of Qt widgets to browse and visualize data.
 .
 The current version provides :
 .
  * reading HDF5 file format (with support of SPEC file format)
  * histogramming
  * fitting
  * 1D and 2D visualization using multiple backends (matplotlib or OpenGL)
  * image plot widget with a set of associated tools (See changelog file).
  * Unified browser for HDF5, SPEC and image file formats supporting inspection
    and visualization of n-dimensional datasets.
  * Unified viewer (silx view filename) for HDF5, SPEC and image file formats
  * OpenGL-based widget to display 3D scalar field with
    isosurface and cutting plane.
 .
 This is the Python 3 version of the package.

Package: python3-silx-dbg
Architecture: any
Section: debug
Depends: python3-fabio-dbg,
         python3-h5py-dbg,
         python3-lxml-dbg,
         python3-matplotlib-dbg,
         python3-numpy-dbg,
         python3-pil-dbg,
         python3-pyopencl-dbg,
         python3-pyqt5-dbg,
         python3-pyqt5.qtopengl-dbg,
         python3-pyqt5.qtsvg-dbg,
         python3-scipy-dbg,
         python3-silx (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Toolbox for X-Ray data analysis - Python3 debug
 The silx project aims at providing a collection of Python packages to
 support the development of data assessment, reduction and analysis
 applications at synchrotron radiation facilities. It aims at
 providing reading/writing different file formats, data reduction
 routines and a set of Qt widgets to browse and visualize data.
 .
 The current version provides :
 .
  * reading HDF5 file format (with support of SPEC file format)
  * histogramming
  * fitting
  * 1D and 2D visualization using multiple backends (matplotlib or OpenGL)
  * image plot widget with a set of associated tools (See changelog file).
  * Unified browser for HDF5, SPEC and image file formats supporting inspection
    and visualization of n-dimensional datasets.
  * Unified viewer (silx view filename) for HDF5, SPEC and image file formats
  * OpenGL-based widget to display 3D scalar field with
    isosurface and cutting plane.
 .
 This is the Python 3 debug version of the package.

Package: python-silx-doc
Architecture: all
Section: doc
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Description: Toolbox for X-Ray data analysis - Documentation
 The silx project aims at providing a collection of Python packages to
 support the development of data assessment, reduction and analysis
 applications at synchrotron radiation facilities. It aims at
 providing reading/writing different file formats, data reduction
 routines and a set of Qt widgets to browse and visualize data.
 .
 The current version provides :
 .
  * reading HDF5 file format (with support of SPEC file format)
  * histogramming
  * fitting
  * 1D and 2D visualization using multiple backends (matplotlib or OpenGL)
  * image plot widget with a set of associated tools (See changelog file).
  * Unified browser for HDF5, SPEC and image file formats supporting inspection
    and visualization of n-dimensional datasets.
  * Unified viewer (silx view filename) for HDF5, SPEC and image file formats
  * OpenGL-based widget to display 3D scalar field with
    isosurface and cutting plane.
 .
 This is the common documentation package.

## silx 0.12.0%2Bdfsg

=== debian/changelog ===
silx (0.12.0+dfsg-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:23:16 +0100

silx (0.12.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.12.0+dfsg

 -- Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>  Thu, 30 Jan 2020 11:48:55 +0100

silx (0.12.0~b0+dfsg-1) UNRELEASED; urgency=medium

  * New upstream version 0.12.0~b0+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 23 Dec 2019 13:49:12 +0100

silx (0.11.0+dfsg-3) unstable; urgency=medium

  * d/control: Build-Depends on python3-qtconsole(Closes: #946571).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 11 Dec 2019 09:10:31 +0100

## silx 0.12.0+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
 python-dateutil           # For silx.gui.plot
 scipy                     # For silx.math.fit demo, silx.image.sift demo, silx.image.sift.test
 Pillow                    # For silx.opencl.image.test
+Cython >= 0.21.1          # For silx.math, silx.io, silx.image
 
 # PyQt5, PySide2 or PyQt4 # For silx.gui
 # Try to install a Qt binding from a wheel

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                dh-python,
                help2man,
                ipython3,
-               ipython3-qtconsole,
                pandoc <!nodoc>,
                python3-all-dbg,
                python3-all-dev,
@@ -35,6 +34,7 @@
                python3-pyqt5.qtopengl-dbg,
                python3-pyqt5.qtsvg,
                python3-pyqt5.qtsvg-dbg,
+               python3-qtconsole,
                python3-scipy,
                python3-scipy-dbg,
                python3-setuptools,

## silx 0.13.1+dfsg

=== debian/changelog ===
silx (0.13.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.13.1+dfsg (Closes: #966933)
  * d/control: Standards-Version bumped to 4.1.3 (nothing to do)
  * d/control: Rules-Requires-Root: no
  * Demote documentation dependencies to B-D-I. (Closes: #946110)
    Thanks Helmut Grohne for the patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 04 Aug 2020 10:25:26 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                dh-python,
                help2man,
                ipython3,
-               pandoc <!nodoc>,
                python3-all-dbg,
                python3-all-dev,
                python3-fabio,
@@ -21,7 +20,6 @@
                python3-mako,
                python3-matplotlib,
                python3-matplotlib-dbg,
-               python3-nbsphinx <!nodoc>,
                python3-numpy,
                python3-numpy-dbg,
                python3-opengl,
@@ -38,14 +36,18 @@
                python3-scipy,
                python3-scipy-dbg,
                python3-setuptools,
+               xauth,
+               xvfb
+Build-Depends-Indep:
+               pandoc <!nodoc>,
+               python3-nbsphinx <!nodoc>,
                python3-sphinx,
                python3-sphinxcontrib.programoutput,
-               xauth,
-               xvfb
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/silx
 Vcs-Git: https://salsa.debian.org/science-team/silx.git
 Homepage: https://github.com/silx-kit/silx
+Rules-Requires-Root: no
 
 Package: silx
 Architecture: all

## silx 0.14.0+dfsg

=== requirements.txt ===
# List all dependencies of silx
# Requires pip >= 8.0

--trusted-host www.silx.org
--find-links http://www.silx.org/pub/wheelhouse/
--only-binary numpy,h5py,scipy,PySide2,PyQt5

# Required dependencies (from setup.py setup_requires and install_requires)
numpy >= 1.12
setuptools
Cython >= 0.21.1
h5py
fabio >= 0.9
six

# Extra dependencies (from setup.py extra_requires 'full' target)
pyopencl; platform_machine in "i386, x86_64, AMD64"  # For silx.opencl
Mako                      # For pyopencl reduction
qtconsole                 # For silx.gui.console
matplotlib >= 1.2.0       # For silx.gui.plot
PyOpenGL                  # For silx.gui.plot3d
python-dateutil           # For silx.gui.plot
scipy                     # For silx.math.fit demo, silx.image.sift demo, silx.image.sift.test
Pillow                    # For silx.opencl.image.test
PyQt5  # or PySide2       # For silx.gui

=== debian/changelog ===
silx (0.14.0+dfsg-1) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * d/u/signing-key.asc: Added Pierre Paleo gpg key.
  * New upstream version 0.14.0+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 06 Jan 2021 15:17:45 +0100

=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
                python3-nbsphinx <!nodoc>,
                python3-sphinx,
                python3-sphinxcontrib.programoutput,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/silx
 Vcs-Git: https://salsa.debian.org/science-team/silx.git
 Homepage: https://github.com/silx-kit/silx

=== debian/rules ===
#!/usr/bin/make -f

# avoir bbuild FTBFS
export HOME=$(CURDIR)/debian/tmp-home
export XDG_RUNTIME_DIR=$(HOME)/runtime
export POCL_CACHE_DIR=$(HOME)/.cache/

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/
export PYBUILD_NAME=silx
export SPECFILE_USE_GNU_SOURCE=1
export SILX_FULL_INSTALL_REQUIRES=1

DOPACKAGES=$(shell dh_listpackages)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Make does not offer a recursive wildcard function, so here's one:
rwildcard=$(wildcard $1$2) $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2))

# How to recursively find all files with the same name in a given folder
ALL_PYX := $(call rwildcard,silx/,*.pyx)
#NOTA: No space before *

# get the default python3 interpreter version
PY3VER := $(shell py3versions -dv)

%:
	dh $@ --with python3 $(DH_ADDONS) --buildsystem=pybuild
build binary %-indep: DH_ADDONS=--with=sphinxdoc

override_dh_clean:
	dh_clean
	# remove the cython generated file to force rebuild
	rm -f $(patsubst %.pyx,%.cpp,${ALL_PYX})
	rm -f $(patsubst %.pyx,%.c,${ALL_PYX})
	rm -f $(patsubst %.pyx,%.html,${ALL_PYX})
	rm -rf doc/build/html
	rm -rf build/man
	rm -rf *.egg-info

override_dh_auto_build:
	dh_auto_build
	# build man pages
	dh_auto_build -- -s custom --build-args="env PYTHONPATH={build_dir} {interpreter} setup.py build_man"

override_dh_install:
	dh_numpy3

	# install scripts into silx
	python3 setup.py install_scripts -d debian/silx/usr/bin
	dh_install -p silx package/desktop/*.desktop usr/share/applications
	dh_install -p silx package/desktop/silx.png usr/share/icons/hicolor/48x48/apps
	dh_install -p silx package/desktop/silx.svg usr/share/icons/hicolor/scalable/apps
	dh_install -p silx package/desktop/silx.xml usr/share/mime/packages

	# install the qtdesigner files only for the python3 package
	dh_install -p python3-silx qtdesigner_plugins/*.py /usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/designer/python

	dh_install

override_dh_python3:
	dh_python3
	dh_python3 -p python3-silx /usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/designer/python

# WITH_QT_TEST=False to disable graphical tests
# SILX_OPENCL=False to disable OpenCL tests
# SILX_TEST_LOW_MEM=True to disable tests taking large amount of memory
# GPU=False to disable the use of a GPU with OpenCL test
# WITH_GL_TEST=False to disable tests using OpenGL
override_dh_auto_test:
	mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
	dh_auto_test -- -s custom --test-args="env PYTHONPATH={build_dir} GPU=False WITH_QT_TEST=False SILX_OPENCL=False SILX_TEST_LAW_MEM=True xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} run_tests.py -vv --installed"

override_dh_installman:
	dh_installman -p silx build/man/*.1

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	#mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
	mkdir -p -m 700 $(XDG_RUNTIME_DIR)
	pybuild --build -s custom -p $(PY3VER) --build-args="cd doc && env PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} -m sphinx -N -bhtml source build/html"
	dh_installdocs "doc/build/html" -p python-silx-doc --doc-main-package=python3-silx
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## silx 0.15.2+dfsg

=== debian/changelog ===
silx (0.15.2+dfsg-3) unstable; urgency=medium

  * fix FTBFS by skipping two tests
    https://github.com/silx-kit/silx/issues/3523

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 19 Sep 2021 16:05:34 +0200

silx (0.15.2+dfsg-2) unstable; urgency=medium

  * Bug fix: "Removal of the python3-*-dbg packages in sid/bookworm",
    thanks to Matthias Klose (Closes: #994377).
  * Bug fix: "drop unused *-dbg packages from Build-Depends", thanks to
    Helmut Grohne (Closes: #980417).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 19 Sep 2021 14:07:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,45 +5,37 @@
            Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>
 Section: science
 Priority: optional
-Build-Depends: cython3 (>= 0.23.2),
-               cython3-dbg (>= 0.23.2),
-               debhelper-compat (= 12),
+Build-Depends: cython3,
+               debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                help2man,
                ipython3,
-               python3-all-dbg,
                python3-all-dev,
                python3-fabio,
-               python3-fabio-dbg,
                python3-h5py,
-               python3-h5py-dbg,
                python3-mako,
                python3-matplotlib,
-               python3-matplotlib-dbg,
                python3-numpy,
-               python3-numpy-dbg,
                python3-opengl,
                python3-pil,
-               python3-pil-dbg,
                python3-pyopencl,
-               python3-pyopencl-dbg,
-               python3-pyqt5-dbg,
+               python3-pyqt5,
                python3-pyqt5.qtopengl,
-               python3-pyqt5.qtopengl-dbg,
                python3-pyqt5.qtsvg,
-               python3-pyqt5.qtsvg-dbg,
                python3-qtconsole,
                python3-scipy,
-               python3-scipy-dbg,
                python3-setuptools,
                xauth,
                xvfb
 Build-Depends-Indep:
+               dh-sequence-sphinxdoc <!nodoc>,
                pandoc <!nodoc>,
                python3-nbsphinx <!nodoc>,
                python3-sphinx,
                python3-sphinxcontrib.programoutput,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/silx
 Vcs-Git: https://salsa.debian.org/science-team/silx.git
 Homepage: https://github.com/silx-kit/silx
@@ -103,50 +95,11 @@
  .
  This is the Python 3 version of the package.
 
-Package: python3-silx-dbg
-Architecture: any
-Section: debug
-Depends: python3-fabio-dbg,
-         python3-h5py-dbg,
-         python3-lxml-dbg,
-         python3-matplotlib-dbg,
-         python3-numpy-dbg,
-         python3-pil-dbg,
-         python3-pyopencl-dbg,
-         python3-pyqt5-dbg,
-         python3-pyqt5.qtopengl-dbg,
-         python3-pyqt5.qtsvg-dbg,
-         python3-scipy-dbg,
-         python3-silx (= ${binary:Version}),
-         ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends}
-Description: Toolbox for X-Ray data analysis - Python3 debug
- The silx project aims at providing a collection of Python packages to
- support the development of data assessment, reduction and analysis
- applications at synchrotron radiation facilities. It aims at
- providing reading/writing different file formats, data reduction
- routines and a set of Qt widgets to browse and visualize data.
- .
- The current version provides :
- .
-  * reading HDF5 file format (with support of SPEC file format)
-  * histogramming
-  * fitting
-  * 1D and 2D visualization using multiple backends (matplotlib or OpenGL)
-  * image plot widget with a set of associated tools (See changelog file).
-  * Unified browser for HDF5, SPEC and image file formats supporting inspection
-    and visualization of n-dimensional datasets.
-  * Unified viewer (silx view filename) for HDF5, SPEC and image file formats
-  * OpenGL-based widget to display 3D scalar field with
-    isosurface and cutting plane.
- .
- This is the Python 3 debug version of the package.
-
 Package: python-silx-doc
 Architecture: all
 Section: doc
 Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Toolbox for X-Ray data analysis - Documentation
  The silx project aims at providing a collection of Python packages to
  support the development of data assessment, reduction and analysis

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py -c "import silx.test; silx.test.run_tests()" 2>&1
 ; done
Depends: python3-all, python3-silx, xauth, xvfb

## silx 1.0.0%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/
export PYBUILD_NAME=silx
export SPECFILE_USE_GNU_SOURCE=1
export SILX_FULL_INSTALL_REQUIRES=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Make does not offer a recursive wildcard function, so here's one:
rwildcard=$(wildcard $1$2) $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2))

# How to recursively find all files with the same name in a given folder
ALL_PYX := $(call rwildcard,silx/,*.pyx)
#NOTA: No space before *

# get the default python3 interpreter version
PY3VER := $(shell py3versions -dv)

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_clean:
	# remove the cython generated file to force rebuild
	rm -f $(patsubst %.pyx,%.cpp,${ALL_PYX})
	rm -f $(patsubst %.pyx,%.c,${ALL_PYX})
	rm -f $(patsubst %.pyx,%.html,${ALL_PYX})
	rm -rf doc/build/html
	rm -rf build/man
	rm -rf *.egg-info

execute_after_dh_auto_build-indep:
	# build man pages
	dh_auto_build -- -s custom --build-args="env PYTHONPATH={build_dir} {interpreter} setup.py build_man"

	# build the documentation
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	pybuild --build -s custom -p $(PY3VER) --build-args="cd doc && env PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} -m sphinx -N -bhtml source build/html"
endif

execute_before_dh_install:
	# install scripts into silx
	python3 setup.py install_scripts -d debian/silx/usr/bin
	dh_install -p silx package/desktop/*.desktop usr/share/applications
	dh_install -p silx package/desktop/silx.png usr/share/icons/hicolor/48x48/apps
	dh_install -p silx package/desktop/silx.svg usr/share/icons/hicolor/scalable/apps
	dh_install -p silx package/desktop/silx.xml usr/share/mime/packages

	# install the qtdesigner files only for the python3 package
	dh_install -p python3-silx qtdesigner_plugins/*.py /usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/designer/python

# WITH_QT_TEST=False to disable graphical tests
# SILX_OPENCL=False to disable OpenCL tests
# SILX_TEST_LOW_MEM=True to disable tests taking large amount of memory
# GPU=False to disable the use of a GPU with OpenCL test
# WITH_GL_TEST=False to disable tests using OpenGL
override_dh_auto_test:
	dh_auto_test -- -s custom --test-args="env PYTHONPATH={build_dir} GPU=False WITH_QT_TEST=False SILX_OPENCL=False SILX_TEST_LAW_MEM=True xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} run_tests.py -vv --installed"

execute_after_dh_installdocs:
	dh_installdocs -p python-silx-doc "doc/build/html" --doc-main-package=python3-silx

override_dh_installman:
	dh_installman -p silx build/man/*.1

execute_after_dh_python3:
	dh_python3 -p python3-silx /usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/designer/python

## silx 1.0.0+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 --trusted-host www.silx.org
 --find-links http://www.silx.org/pub/wheelhouse/
---only-binary numpy,h5py,scipy,PySide2,PyQt5
+--only-binary numpy,h5py,scipy,PySide2,PyQt5,PySide6
 
 # Required dependencies (from setup.py setup_requires and install_requires)
 numpy >= 1.12
@@ -11,7 +11,6 @@
 Cython >= 0.21.1
 h5py
 fabio >= 0.9
-six
 
 # Extra dependencies (from setup.py extra_requires 'full' target)
 pyopencl; platform_machine in "i386, x86_64, AMD64"  # For silx.opencl
@@ -22,4 +21,4 @@
 python-dateutil           # For silx.gui.plot
 scipy                     # For silx.math.fit demo, silx.image.sift demo, silx.image.sift.test
 Pillow                    # For silx.opencl.image.test
-PyQt5  # or PySide2       # For silx.gui
+PyQt5  # PySide2, PySide6 # For silx.gui

=== debian/changelog ===
silx (1.0.0+dfsg-4ubuntu2) kinetic; urgency=medium

  * Also drop python3-pyopencl runtime dependency on riscv64

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 08 Jul 2022 11:18:11 +0000

silx (1.0.0+dfsg-4ubuntu1) kinetic; urgency=medium

  * Drop python3-pyopencl build-dependency on riscv64 since
    mesa-opencl-icd is no longer built there (LP: #1979297)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 07 Jul 2022 07:16:25 +0000

silx (1.0.0+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * d/salsa-ci.yml: Disable reprotest
  * d/t/control: Skip testing on i386

 -- Nilesh Patra <nilesh@debian.org>  Mon, 14 Mar 2022 12:56:01 +0530

silx (1.0.0+dfsg-3) unstable; urgency=medium

  * Team Upload.
  * d/t/control: Add test dep on python3-pytest (Closes: #1006690)
  * d/t/control: Make test "not" no-op so as to wxit with
    non-zero exit code when it fails
  * Add patch to fix test with python3.10
  * Add d/salsa-ci.yml

 -- Nilesh Patra <nilesh@debian.org>  Mon, 14 Mar 2022 02:04:04 +0530

silx (1.0.0+dfsg-2) unstable; urgency=medium

  * d/patches/0005-removed-hdf5plugin-from-full-dependencies.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 10 Feb 2022 15:15:16 +0100

silx (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.0+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 02 Feb 2022 14:43:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,45 @@
 Source: silx
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
-           Picca Frédéric-Emmanuel <picca@debian.org>,
-           Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Jerome Kieffer <jerome.kieffer@esrf.fr>,
+ Picca Frédéric-Emmanuel <picca@debian.org>,
+ Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>,
 Section: science
 Priority: optional
-Build-Depends: cython3,
-               debhelper-compat (= 13),
-               dh-python,
-               dh-sequence-numpy3,
-               dh-sequence-python3,
-               help2man,
-               ipython3,
-               python3-all-dev,
-               python3-fabio,
-               python3-h5py,
-               python3-mako,
-               python3-matplotlib,
-               python3-numpy,
-               python3-opengl,
-               python3-pil,
-               python3-pyopencl,
-               python3-pyqt5,
-               python3-pyqt5.qtopengl,
-               python3-pyqt5.qtsvg,
-               python3-qtconsole,
-               python3-scipy,
-               python3-setuptools,
-               xauth,
-               xvfb
+Build-Depends:
+ cython3,
+ debhelper-compat (= 13),
+ dh-python,
+ dh-sequence-numpy3,
+ dh-sequence-python3,
+ help2man,
+ ipython3,
+ python3-all-dev,
+ python3-fabio,
+ python3-h5py,
+ python3-mako,
+ python3-matplotlib,
+ python3-numpy,
+ python3-opengl,
+ python3-pil,
+ python3-pyopencl [!riscv64],
+ python3-pyqt5,
+ python3-pyqt5.qtopengl,
+ python3-pyqt5.qtsvg,
+ python3-pytest <!nocheck>,
+ python3-qtconsole,
+ python3-scipy,
+ python3-setuptools,
+ xauth,
+ xvfb,
 Build-Depends-Indep:
-               dh-sequence-sphinxdoc <!nodoc>,
-               pandoc <!nodoc>,
-               python3-nbsphinx <!nodoc>,
-               python3-sphinx,
-               python3-sphinxcontrib.programoutput,
-Standards-Version: 4.5.1
+ dh-sequence-sphinxdoc <!nodoc>,
+ pandoc <!nodoc>,
+ python3-nbsphinx <!nodoc>,
+ python3-sphinx,
+ python3-sphinxcontrib.programoutput,
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/silx
 Vcs-Git: https://salsa.debian.org/science-team/silx.git
 Homepage: https://github.com/silx-kit/silx
@@ -43,10 +47,11 @@
 
 Package: silx
 Architecture: all
-Depends: python3-silx (>= ${source:Version}),
-         ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends}
+Depends:
+ python3-silx (>= ${source:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
 Description: Toolbox for X-Ray data analysis - Executables
  The silx project aims at providing a collection of Python packages to
  support the development of data assessment, reduction and analysis
@@ -72,7 +77,10 @@
 Package: python3-silx
 Architecture: any
 Section: python
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
 Description: Toolbox for X-Ray data analysis - Python3
  The silx project aims at providing a collection of Python packages to
  support the development of data assessment, reduction and analysis
@@ -98,7 +106,10 @@
 Package: python-silx-doc
 Architecture: all
 Section: doc
-Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
+Depends:
+ libjs-mathjax,
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Multi-Arch: foreign
 Description: Toolbox for X-Ray data analysis - Documentation
  The silx project aims at providing a collection of Python packages to

## silx 1.1.0+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -3,11 +3,11 @@
 
 --trusted-host www.silx.org
 --find-links http://www.silx.org/pub/wheelhouse/
---only-binary numpy,h5py,scipy,PySide2,PyQt5,PySide6
+--only-binary numpy,h5py,scipy,PySide2,PyQt5,PySide6,PyQt6
 
 # Required dependencies (from setup.py setup_requires and install_requires)
 numpy >= 1.12
-setuptools
+setuptools < 60.0.0
 Cython >= 0.21.1
 h5py
 fabio >= 0.9
@@ -21,4 +21,4 @@
 python-dateutil           # For silx.gui.plot
 scipy                     # For silx.math.fit demo, silx.image.sift demo, silx.image.sift.test
 Pillow                    # For silx.opencl.image.test
-PyQt5  # PySide2, PySide6 # For silx.gui
+PyQt5  # PySide6, PyQt6>=6.3 # For silx.gui

=== debian/changelog ===
silx (1.1.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Patch out tests that fail on mipsel / mips64el due to a numpy bug.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 03 Feb 2023 16:46:19 -0400

silx (1.1.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Add a patch fixing the build with Python 3.11, thanks Simon Quigley.
    (Closes: #1025183)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 27 Jan 2023 21:20:42 -0400

silx (1.1.0+dfsg-3) unstable; urgency=medium

  * do not run test which use lot's of memory

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 04 Nov 2022 16:54:24 +0100

silx (1.1.0+dfsg-2) unstable; urgency=medium

  * fix a typo to avoid running test which use lot's of memory.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 04 Nov 2022 15:42:11 +0100

silx (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.0+dfsg
  * do not install the scipy_spatial COPYING file

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 03 Nov 2022 10:38:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: silx
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jerome Kieffer <jerome.kieffer@esrf.fr>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
@@ -23,7 +22,7 @@
  python3-numpy,
  python3-opengl,
  python3-pil,
- python3-pyopencl [!riscv64],
+ python3-pyopencl,
  python3-pyqt5,
  python3-pyqt5.qtopengl,
  python3-pyqt5.qtsvg,

=== debian/rules ===
--- 
+++ 
@@ -52,11 +52,12 @@
 
 # WITH_QT_TEST=False to disable graphical tests
 # SILX_OPENCL=False to disable OpenCL tests
-# SILX_TEST_LOW_MEM=True to disable tests taking large amount of memory
+# SILX_TEST_LOW_MEM=False to disable tests taking large amount of memory
 # GPU=False to disable the use of a GPU with OpenCL test
 # WITH_GL_TEST=False to disable tests using OpenGL
 override_dh_auto_test:
-	dh_auto_test -- -s custom --test-args="env PYTHONPATH={build_dir} GPU=False WITH_QT_TEST=False SILX_OPENCL=False SILX_TEST_LAW_MEM=True xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} run_tests.py -vv --installed"
+	GPU=False WITH_QT_TEST=False SILX_OPENCL=False SILX_TEST_LOW_MEM=False \
+	dh_auto_test
 
 execute_after_dh_installdocs:
 	dh_installdocs -p python-silx-doc "doc/build/html" --doc-main-package=python3-silx

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; SILX_TEST_LOW_MEM=False xvfb-run -a --server-args="-screen 0 1024x768x24" $py -c "import sys; import silx.test; sys.exit(silx.test.run_tests())" 2>&1
 ; done
Depends:
 @,
 python3-all,
 python3-pytest,
 python3-pytest-xvfb,
 xauth,
 xvfb,
Architecture: !i386

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,\
pgpsigurlmangle=s/$/.asc/,\
pgpmode=none,\
dversionmangle=s/\+dfsg//,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/s/@PACKAGE@/ \
 @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## silx 1.1.2+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -21,4 +21,5 @@
 python-dateutil           # For silx.gui.plot
 scipy                     # For silx.math.fit demo, silx.image.sift demo, silx.image.sift.test
 Pillow                    # For silx.opencl.image.test
+pint                      # For silx.io.dictdump
 PyQt5  # PySide6, PyQt6>=6.3 # For silx.gui

=== debian/changelog ===
silx (1.1.2+dfsg-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 03 Sep 2023 14:41:02 +0200

silx (1.1.2+dfsg-2) unstable; urgency=medium

  * d/control: Added B-D python3-hdf5plugin.
  * d/p/0004-skip-two-tests.patch: removed since upstream propose somethinf equivalent.
  * d/p/0005-removed-hdf5plugin-from-full-dependencies.patch: Removed, hdf5plugin is
    now available in Debian.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 23 Jun 2023 09:36:20 +0200

silx (1.1.2+dfsg-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Edit the description of the mips*el patch, now that we understand it.

  [ Picca Frédéric-Emmanuel ]
  * New upstream release. (Closes: #966051)
  * d/rules: set HOME to avoid FTBFS.
  * d/control: Added B-D-I graphviz for the documentation
  * d/t/control: set the HOME to avoid error with pytools
  * d/t/control: Added python3-pytest-mock
  * d/control: Added B-D pybuild-plugin-pyproject to avoid setup.py build

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 23 Jun 2023 09:10:22 +0200

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,11 @@
  dh-sequence-python3,
  help2man,
  ipython3,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-fabio,
  python3-h5py,
+ python3-hdf5plugin,
  python3-mako,
  python3-matplotlib,
  python3-numpy,
@@ -34,6 +36,7 @@
  xvfb,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
+ graphviz <!nodoc>,
  pandoc <!nodoc>,
  python3-nbsphinx <!nodoc>,
  python3-sphinx,

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 export PYBUILD_NAME=silx
 export SPECFILE_USE_GNU_SOURCE=1
 export SILX_FULL_INSTALL_REQUIRES=1
+export HOME=$(CURDIR)/debian/build
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; HOME="$AUTOPKGTEST_TMP" SILX_TEST_LOW_MEM=False xvfb-run -a --server-args="-screen 0 1024x768x24" $py -c "import sys; import silx.test; sys.exit(silx.test.run_tests())" 2>&1
 ; done
Depends:
 @,
 python3-all,
 python3-pytest,
 python3-pytest-mock,
 python3-pytest-xvfb,
 xauth,
 xvfb,
Architecture: !i386

## silx 2.0.1+dfsg

=== requirements.txt ===
# List all dependencies of silx
# Requires pip >= 8.0

--trusted-host www.silx.org
--find-links http://www.silx.org/pub/wheelhouse/
--only-binary numpy,h5py,scipy,PyQt5,PySide6,PyQt6

# Required dependencies
# From pyproject.toml
wheel
setuptools
numpy >=1.12,<2
Cython >= 0.21.1
# From setup.py install_requires
packaging
h5py
fabio >= 0.9

# Extra dependencies (from setup.py extra_requires 'full' target)
pyopencl; platform_machine in "i386, x86_64, AMD64"  # For silx.opencl
Mako                      # For pyopencl reduction
qtconsole                 # For silx.gui.console
matplotlib >= 3.1.0       # For silx.gui.plot
PyOpenGL                  # For silx.gui.plot3d
python-dateutil           # For silx.gui.plot
scipy                     # For silx.math.fit demo, silx.image.sift demo, silx.image.sift.test
Pillow                    # For silx.opencl.image.test
pint                      # For silx.io.dictdump
PyQt5  # PySide6, PyQt6>=6.3 # For silx.gui

=== debian/changelog ===
silx (2.0.1+dfsg-3) unstable; urgency=medium

  * d/t/gui: do not fail if the return value is 134. until we figure out
    what is going on with mesa and xvfb.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 16 Apr 2024 10:47:09 +0200

silx (2.0.1+dfsg-2) unstable; urgency=medium

  * d/t/control: rework the gui test in order to make it work with
    autopkgtest. run the test but skip it.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 15 Apr 2024 16:18:16 +0200

silx (2.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.0.1+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 19 Mar 2024 23:02:23 +0100

silx (2.0.0+dfsg-2) unstable; urgency=medium

  * d/t/control: Split into opencl, no-opencl and gui scripts.
    The opencl part is for now marked flaky.
  * use POCL_WORK_GROUP_METHOD=cbs for tests.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 11 Mar 2024 13:27:15 +0100

silx (2.0.0+dfsg-1) unstable; urgency=low

  * Update standards version to 4.6.2, no changes needed.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 28 Feb 2024 14:49:37 +0000

silx (2.0.0+dfsg-1~exp1) experimental; urgency=medium

  * d/control: Hardcode the h5py dependency for now until dist-info files are
    provided by python-h5py.
  * d/t/control: Added a test to check that the silx view command can be started.
  * d/t/control: Do not hide the output of the command
  * d/rules: verbose build
  * New upstream version 2.0.0+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 06 Feb 2024 11:54:53 +0100

=== debian/control ===
--- 
+++ 
@@ -39,9 +39,11 @@
  graphviz <!nodoc>,
  pandoc <!nodoc>,
  python3-nbsphinx <!nodoc>,
+ python3-pydata-sphinx-theme <!nodoc>,
  python3-sphinx,
+ python3-sphinx-panels,
  python3-sphinxcontrib.programoutput,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/silx
 Vcs-Git: https://salsa.debian.org/science-team/silx.git
 Homepage: https://github.com/silx-kit/silx
@@ -83,6 +85,7 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
+ python3-h5py
 Description: Toolbox for X-Ray data analysis - Python3
  The silx project aims at providing a collection of Python packages to
  support the development of data assessment, reduction and analysis

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/
@@ -33,7 +35,7 @@
 
 execute_after_dh_auto_build-indep:
 	# build man pages
-	dh_auto_build -- -s custom --build-args="env PYTHONPATH={build_dir} {interpreter} setup.py build_man"
+	pybuild --build -s custom -p $(PY3VER) --build-args="env PYTHONPATH={build_dir} {interpreter} tools/build_man_page.py"
 
 	# build the documentation
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
@@ -66,5 +68,7 @@
 override_dh_installman:
 	dh_installman -p silx build/man/*.1
 
-execute_after_dh_python3:
+override_dh_python3:
+	-rm -f `find . -name "core"`
+	dh_python3 --depends-section=full
 	dh_python3 -p python3-silx /usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/designer/python

## silx 2.1.0+dfsg

=== debian/changelog ===
silx (2.1.0+dfsg-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/p/0010-SpecFile-deallocation-issue.patch: Fix an issue with pytest
      runner segfaulting with Pytest 8.2+.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jul 2024 13:23:49 +0200

silx (2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.1.0+dfsg
  * d/control: Added B-D python3-pint, python3-pooch, python3-sphinx-design <!nodoc>
  * d/control: B-D added python3-pooch for unit tests
  * d/dataset-ascent: embeded to run tests
  * d/s/include-binaries: updated to reflect the ascent dataset embeding
  * d/rules: use pybuild to copy the dataset at the right place.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 16 Jun 2024 21:21:33 +0200

silx (2.0.1+dfsg-3ubuntu1) oracular; urgency=medium

  * d/p/0010-SpecFile-deallocation-issue.patch: Fix an issue with pytest
    runner segfaulting with Pytest 8.2+ (LP: #2068521).

 -- Chris Peterson <chris.peterson@canonical.com>  Wed, 05 Jun 2024 12:21:45 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: silx
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jerome Kieffer <jerome.kieffer@esrf.fr>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
@@ -7,6 +8,7 @@
 Section: science
 Priority: optional
 Build-Depends:
+ bitshuffle <!nocheck>,
  cython3,
  debhelper-compat (= 13),
  dh-python,
@@ -24,11 +26,15 @@
  python3-numpy,
  python3-opengl,
  python3-pil,
+ python3-pint,
+ python3-pooch <!nocheck>,
  python3-pyopencl,
  python3-pyqt5,
  python3-pyqt5.qtopengl,
  python3-pyqt5.qtsvg,
  python3-pytest <!nocheck>,
+ python3-pytest-mock <!nocheck>,
+ python3-pytest-xvfb <!nocheck>,
  python3-qtconsole,
  python3-scipy,
  python3-setuptools,
@@ -40,9 +46,10 @@
  pandoc <!nodoc>,
  python3-nbsphinx <!nodoc>,
  python3-pydata-sphinx-theme <!nodoc>,
- python3-sphinx,
- python3-sphinx-panels,
- python3-sphinxcontrib.programoutput,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-autodoc-typehints <!nodoc>,
+ python3-sphinx-design <!nodoc>,
+ python3-sphinxcontrib.programoutput <!nodoc>,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/silx
 Vcs-Git: https://salsa.debian.org/science-team/silx.git
@@ -85,7 +92,8 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
- python3-h5py
+ python3-h5py,
+ python3-pooch,
 Description: Toolbox for X-Ray data analysis - Python3
  The silx project aims at providing a collection of Python packages to
  support the development of data assessment, reduction and analysis

## silx 2.1.2+dfsg

=== debian/changelog ===
silx (2.1.2+dfsg-1build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 29 Jan 2025 22:41:55 +0000

silx (2.1.2+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Nov 2024 06:16:45 +0100

silx (2.1.2+dfsg-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.1.2+dfsg (Closes: #1085003)
  $ Bump Standards-Version to 4.7.0

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Nov 2024 14:14:23 +0100

## silx 2.2.0+dfsg

=== debian/changelog ===
silx (2.2.0+dfsg-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.2.0+dfsg (Closes: #1095215)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 14 Feb 2025 00:03:26 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 export SPECFILE_USE_GNU_SOURCE=1
 export SILX_FULL_INSTALL_REQUIRES=1
 export HOME=$(CURDIR)/debian/build
+export XDG_CACHE_HOME=$(HOME)/.cache
+
+SCIPY_DATA=$(XDG_CACHE_HOME)/scipy-data
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -32,6 +35,7 @@
 	rm -rf doc/build/html
 	rm -rf build/man
 	rm -rf *.egg-info
+	rm -rf $(SCIPY_DATA)
 
 execute_after_dh_auto_build-indep:
 	# build man pages
@@ -59,6 +63,9 @@
 # GPU=False to disable the use of a GPU with OpenCL test
 # WITH_GL_TEST=False to disable tests using OpenGL
 override_dh_auto_test:
+	# temporary install the scipy dataset before running the test
+	pybuild --test -s custom --test-args="mkdir -p {home_dir}/.cache/scipy-data/ && cp debian/dataset-ascent/ascent.dat {home_dir}/.cache/scipy-data/"
+
 	GPU=False WITH_QT_TEST=False SILX_OPENCL=False SILX_TEST_LOW_MEM=False \
 	dh_auto_test
